org.eclnt.jsfserver.defaultscreens

## Class LogViewer.LogLine

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.LogViewer.LogLine

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    LogViewer

      public class LogViewer.LogLine
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `m_category`
    `protected java.lang.String` | `m_text`
    `protected java.lang.String` | `m_threadInfo`
    `protected java.lang.String` | `m_timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogLine()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCategory()`
    `java.lang.String` | `getCategoryColor()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `getTextColor()`
    `java.lang.String` | `getThreadInfo()`
    `java.lang.String` | `getTimestamp()`
    `void` | `setCategory(java.lang.String value)`
    `void` | `setText(java.lang.String value)`
    `void` | `setThreadInfo(java.lang.String value)`
    `void` | `setTimestamp(java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### m_threadInfo

          protected java.lang.String m_threadInfo

    - #### m_text

          protected java.lang.String m_text

    - #### m_timestamp

          protected java.lang.String m_timestamp

    - #### m_category

          protected java.lang.String m_category

  - ### Constructor Detail

    - #### LogLine

          public LogLine()

  - ### Method Detail

    - #### getThreadInfo

          public java.lang.String getThreadInfo()

    - #### setThreadInfo

          public void setThreadInfo(java.lang.String value)

    - #### getText

          public java.lang.String getText()

    - #### setText

          public void setText(java.lang.String value)

    - #### getTimestamp

          public java.lang.String getTimestamp()

    - #### setTimestamp

          public void setTimestamp(java.lang.String value)

    - #### getCategory

          public java.lang.String getCategory()

    - #### setCategory

          public void setCategory(java.lang.String value)

    - #### getCategoryColor

          public java.lang.String getCategoryColor()

    - #### getTextColor

          public java.lang.String getTextColor()

Copyright © CaptainCasa Gmbh. All Rights Reserved.